> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/smc-index/get-nominator-method",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Nominator Method

> Get nominator data in given pool (the only in list) or, if pool is not specified, in all pools where nominator stakes.



## OpenAPI

````yaml get /getNominator
openapi: 3.1.0
info:
  title: TON SC Indexer V2
  description: TON Smart Contracts Indexer. Nominator pools, V2.
  version: 0.0.2
servers:
  - url: https://toncenter.com/api/smc-index
  - url: https://testnet.toncenter.com/api/smc-index
security: []
paths:
  /getNominator:
    get:
      summary: Get Nominator Method
      description: >-
        Get nominator data in given pool (the only in list) or, if pool is not
        specified, in all pools where nominator stakes.
      operationId: get_nominator_method_api_smc_index_getNominator_get
      parameters:
        - name: nominator
          in: query
          required: true
          schema:
            type: string
            description: The nominator address.
            title: Nominator
          description: The nominator address.
        - name: pool
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The pool address in which nominator stakes coins. If not
              specified, returns nominator from all his pools.
            title: Pool
          description: >-
            The pool address in which nominator stakes coins. If not specified,
            returns nominator from all his pools.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NominatorModel'
                title: Response Get Nominator Method Api Smc Index Getnominator Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    NominatorModel:
      properties:
        pool_address:
          type: string
          title: Pool Address
        balance:
          type: integer
          title: Balance
        pending_balance:
          type: integer
          title: Pending Balance
      type: object
      required:
        - pool_address
        - balance
        - pending_balance
      title: NominatorModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key

````